Bug 620078 - Allow launching 3d apps from menus
Summary: Allow launching 3d apps from menus
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: xguest   
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-31 19:29 UTC by Iván Jiménez
Modified: 2010-08-21 10:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-21 10:39:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the error and torcs launched from terminal (934.23 KB, image/png)
2010-07-31 19:29 UTC, Iván Jiménez
no flags Details
messages in audit.log (1.71 KB, text/plain)
2010-08-10 16:23 UTC, Iván Jiménez
no flags Details

Description Iván Jiménez 2010-07-31 19:29:22 UTC
Created attachment 435788 [details]
Screenshot of the error and torcs launched from terminal

Description of problem:
While using xguest account, if I go to Applications -> Games -> TORCS an error message appears saying "Your system currently is not capable of hardware accelerated 3D", but if I open a terminal and run torcs it works fine. I think xguest should be allowed to launch 3d apps using menus.

Version-Release number of selected component (if applicable):
xguest-1.0.8-6.fc13.noarch

How reproducible:
always

Steps to Reproduce:
1. install xguest and a 3d app (eg torcs)
2. try to launch it from applications' menu
  
Actual results:
error

Expected results:
just works

Comment 1 Daniel Walsh 2010-08-03 17:59:47 UTC
What avc messages are you seeing in your logs?

ausearch -m avc -ts recent

Comment 2 Iván Jiménez 2010-08-03 21:17:42 UTC
[root@endeavour ~]# ausearch -m avc -ts recent
<no matches>

Comment 3 Daniel Walsh 2010-08-04 18:34:50 UTC
Could you launch the app again and then check for AVCS?

Comment 4 Iván Jiménez 2010-08-06 14:23:58 UTC
(In reply to comment #3)
> Could you launch the app again and then check for AVCS?    

Sure. If i do ausearch -m avc -ts recent as xguest I get:

Error opening config file (Permiso denegado)
NOTE - using built-in logs: /var/log/audit/audit.log
Error opening /var/log/audit/audit.log (Permiso denegado)

and as root:

<no matches>

so I guess there aren't avcs, just the error message.

Comment 5 Daniel Walsh 2010-08-06 15:03:59 UTC
As root execute

You can turn off the "dontaudit" rules by executing
# semodule -DB
As xguest_t try to run the app.
Collect all of the AVC messages that deal with the tool.

Turn back on the dontaudit rules by executing 
# semodule -B

Comment 6 Iván Jiménez 2010-08-10 16:23:50 UTC
Created attachment 437941 [details]
messages in audit.log

After issuing semodule -DB, these are the messages in audit.log that seems related.

Comment 7 Daniel Walsh 2010-08-13 16:05:02 UTC
Does

#setsebool -P user_direct_dri 1

Fix the problem?

Comment 8 Iván Jiménez 2010-08-15 17:39:27 UTC
(In reply to comment #7)
> Does
> 
> #setsebool -P user_direct_dri 1
> 
> Fix the problem?

Yes, thank you!


Note You need to log in before you can comment on or make changes to this bug.